org.apache.solr.handler.extraction

## Class XLSXResponseWriter

- java.lang.Object
- - org.apache.solr.response.RawResponseWriter
  - - org.apache.solr.handler.extraction.XLSXResponseWriter

- All Implemented Interfaces:
    BinaryQueryResponseWriter, QueryResponseWriter, NamedListInitializedPlugin

      public class XLSXResponseWriter
      extends RawResponseWriter

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.response.RawResponseWriter

      `CONTENT`

    - ### Fields inherited from interface org.apache.solr.response.QueryResponseWriter

      `CONTENT_TYPE_TEXT_ASCII, CONTENT_TYPE_TEXT_UTF8, CONTENT_TYPE_XML_UTF8`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XLSXResponseWriter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContentType(SolrQueryRequest request, SolrQueryResponse response)`
    `void` | `write(OutputStream out, SolrQueryRequest req, SolrQueryResponse rsp)`

    - ### Methods inherited from class org.apache.solr.response.RawResponseWriter

      `getBaseWriter, init, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XLSXResponseWriter

          public XLSXResponseWriter()

  - ### Method Detail

    - #### write

          public void write(OutputStream out,
                            SolrQueryRequest req,
                            SolrQueryResponse rsp)
                     throws IOException

      Specified by:
        `write` in interface `BinaryQueryResponseWriter`
      Overrides:
        `write` in class `RawResponseWriter`
      Throws:
        `IOException`

    - #### getContentType

          public String getContentType(SolrQueryRequest request,
                                       SolrQueryResponse response)

      Specified by:
        `getContentType` in interface `QueryResponseWriter`
      Overrides:
        `getContentType` in class `RawResponseWriter`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.